all: build

api.json:
	curl -o api.json https://src.opensuse.org/swagger.v1.json

obs.api.json:
	curl -o obs.api.yaml https://api.opensuse.org/apidocs/OBS-v2.10.50.yaml

client.gen.go:: obs.api.json
	go generate

gitea-generated/client/gitea_api_client.go:: api.json
	[ -d gitea-generated ] || mkdir gitea-generated
	podman run --rm -v $$(pwd):/api ghcr.io/go-swagger/go-swagger generate client -f /api/api.json -t /api/gitea-generated

api: gitea-generated/client/gitea_api_client.go client.gen.go

build: api
	go build

